OgreShaderSubRenderState.h File Reference
`#include "OgreShaderPrerequisites.h"`
`#include "OgreGpuProgram.h"`
`#include "OgreSceneManager.h"`
`#include "OgreMaterialSerializer.h"`
`#include "OgreScriptCompiler.h"`
`#include "OgreShaderScriptTranslator.h"`

Go to the source code of this file.

## Classes

class | Ogre::RTShader::SubRenderState
| This class is the base interface of sub part from a shader based rendering pipeline. More...
class | Ogre::RTShader::SubRenderStateAccessor
| This class uses as accessor from a template SubRenderState to all of its instances that created based on it. More...
class | Ogre::RTShader::SubRenderStateFactory
| Abstract factory interface for creating SubRenderState implementation instances. More...

## Namespaces

namespace | Ogre
namespace | Ogre::RTShader

## Typedefs

typedef SharedPtr < SubRenderStateAccessor > | Ogre::RTShader::SubRenderStateAccessorPtr
typedef vector< SubRenderState * > ::type | Ogre::RTShader::SubRenderStateList
typedef SubRenderStateList::iterator | Ogre::RTShader::SubRenderStateListIterator
typedef SubRenderStateList::const_iterator | Ogre::RTShader::SubRenderStateListConstIterator
typedef set< SubRenderState * > ::type | Ogre::RTShader::SubRenderStateSet
typedef SubRenderStateSet::iterator | Ogre::RTShader::SubRenderStateSetIterator
typedef SubRenderStateSet::const_iterator | Ogre::RTShader::SubRenderStateSetConstIterator

Copyright © 2012 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Sun Sep 2 2012 07:27:25